// menus 
function vw_tourism_menu_open_nav() {
	window.vw_tourism_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function vw_tourism_menu_close_nav() {
	window.vw_tourism_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}
jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.vw_tourism_currentfocus=null;
  	vw_tourism_checkfocusdElement();
	var vw_tourism_body = document.querySelector('body');
	vw_tourism_body.addEventListener('keyup', vw_tourism_check_tab_press);
	var vw_tourism_gotoHome = false;
	var vw_tourism_gotoClose = false;
	window.vw_tourism_responsiveMenu=false;
 	function vw_tourism_checkfocusdElement(){
	 	if(window.vw_tourism_currentfocus=document.activeElement.className){
		 	window.vw_tourism_currentfocus=document.activeElement.className;
	 	}
 	}
 	function vw_tourism_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.vw_tourism_responsiveMenu){
			if (!e.shiftKey) {
				if(vw_tourism_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				vw_tourism_gotoHome = true;
			} else {
				vw_tourism_gotoHome = false;
			}

		}else{

			if(window.vw_tourism_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.vw_tourism_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.vw_tourism_responsiveMenu){
				if(vw_tourism_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					vw_tourism_gotoClose = true;
				} else {
					vw_tourism_gotoClose = false;
				}

			}else{

			if(window.vw_tourism_responsiveMenu){
			}}}}
		}
	 	vw_tourism_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// our places section
jQuery('document').ready(function(){
  var owl = jQuery('#our-places .owl-carousel');
    owl.owlCarousel({
    margin:20,
    autoplayTimeout: 90000,
    loop: true,
    dots:false,
    autoplay : true,
	autoplayTimeout: 90000,
    nav:true,
    navText : ['<i class="fa-solid fa-left-long" aria-hidden="true"></i>','<i class="fa-solid fa-right-long" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1,
      },
      600: {
        items: 2
      },
      1024: {
        items: 3,
        margin:10
      },
      1200: {
        items: 4,
        margin:10,
      }
    },
    autoplayHoverPause : true,
    mouseDrag: true
  });
});

// tab
jQuery(document).ready(function () {
	jQuery( ".tablinks" ).first().addClass( "active" );
});

function vw_tourism_services_tab(evt, cityName) {
  var vw_tourism_i, vw_tourism_tabcontent, vw_tourism_tablinks;
  vw_tourism_tabcontent = document.getElementsByClassName("tabcontent");
  for (vw_tourism_i = 0; vw_tourism_i < vw_tourism_tabcontent.length; vw_tourism_i++) {
    vw_tourism_tabcontent[vw_tourism_i].style.display = "none";
  }
  vw_tourism_tablinks = document.getElementsByClassName("tablinks");
  for (vw_tourism_i = 0; vw_tourism_i < vw_tourism_tablinks.length; vw_tourism_i++) {
    vw_tourism_tablinks[vw_tourism_i].className = vw_tourism_tablinks[vw_tourism_i].className.replace(" active", "");
  }
  jQuery('#'+ cityName).show()
  evt.currentTarget.className += " active";
}

jQuery(document).ready(function () {
	jQuery('.tabcontent').hide();
	jQuery('.tabcontent:first').show();

	// button js
	jQuery('.features-clicked').on('click', function() {
	  // jQuery(this).toggleClass('show');
	  jQuery('.features-clicked').toggleClass('show');

	  jQuery('.nav-item.dropdown .dropdown-menu').toggleClass('show');
	});
});

// search
jQuery(document).ready(function () {
	function vw_tourism_search_loop_focus(element) {
	var vw_tourism_focus = element.find('select, input, textarea, button, a[href]');
	var vw_tourism_firstFocus = vw_tourism_focus[0];  
	var vw_tourism_lastFocus = vw_tourism_focus[vw_tourism_focus.length - 1];
	var KEYCODE_TAB = 9;

	element.on('keydown', function vw_tourism_search_loop_focus(e) {
	  var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

	  if (!isTabPressed) { 
		return; 
	  }

	  if ( e.shiftKey ) /* shift + tab */ {
		if (document.activeElement === vw_tourism_firstFocus) {
		  vw_tourism_lastFocus.focus();
			e.preventDefault();
		  }
		} else /* tab */ {
		if (document.activeElement === vw_tourism_lastFocus) {
		  vw_tourism_firstFocus.focus();
			e.preventDefault();
		  }
		}
	});
  }
  jQuery('.search-box span a').click(function(){
	  jQuery(".serach_outer").slideDown(1000);
	  vw_tourism_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
	  jQuery(".serach_outer").slideUp(1000);
  });
});
  /* Progress Bar */
  document.addEventListener("DOMContentLoaded", function () {
      const vw_tourism_progressBar =
          document.getElementById("vw_tourism_elemento_progress_bar");
      if (!vw_tourism_progressBar) return;
      window.addEventListener("scroll", function () {
          const vw_tourism_scrollTop =
              document.documentElement.scrollTop || document.body.scrollTop;
          const vw_tourism_height =
              document.documentElement.scrollHeight -
              document.documentElement.clientHeight;
          const vw_tourism_scrolled =
              (vw_tourism_scrollTop / vw_tourism_height) * 100;
          vw_tourism_progressBar.style.width =
              vw_tourism_scrolled + "%";
      });
  });